Package Details: safesignidentityclient 3.5.6.1-2

Git Clone URL: https://aur.archlinux.org/safesignidentityclient.git (read-only, click to copy)
Package Base: safesignidentityclient
Description: Smart card PKCS#11 provider and token manager
Upstream URL: https://www.uziregister.nl/uzi-pas/documenten/publicaties/2020/09/02/safesign-version-3.5.6.1-for-linux
Licenses: custom:copyright
Submitter: denisfalqueto
Maintainer: denisfalqueto (geyslan)
Last Packager: denisfalqueto
Votes: 10
Popularity: 0.152811
First Submitted: 2015-04-10 02:25
Last Updated: 2021-07-16 12:05

Latest Comments

1 2 3 4 5 6 ... Next › Last »

denisfalqueto commented on 2021-07-16 12:05

Good catch, @euzao. Updated again, just a pkgver bump.

euzao commented on 2021-07-15 16:48

Thanks for the update. It is also important to update the URL above accordingly.

denisfalqueto commented on 2021-07-15 14:33

Updated package, according to new version suggested by @gravity. Thanks for the heads up.

grawity commented on 2020-12-04 09:25

Although I don't have a compatible smartcard to test with (I don't remember why I subscribed to this), I could suggest running the module out-of-process in case it somehow interferes with the browser's internals (e.g. by trying to load incompatible libraries):

  1. Remove libaetpkss.so from the browser.

  2. Add /usr/lib/p11-kit-proxy.so to the browser.

  3. Create a file ~/.config/pkcs11/modules/safesign.module with contents:

    module: /usr/lib/libaetpkss.so
    remote: |p11-kit remote /usr/lib/libaetpkss.so

  4. After restarting the program, you should see the 'p11-kit remote' process as a child of firefox in the process tree.

(Note that p11-kit will load all modules from ~/.config/pkcs11/modules and from /usr/share/p11-kit/modules, acting as one big PKCS#11 supermodule.)

pedrovanzella commented on 2020-12-02 19:01

By the way, there's a more current version here, which doesn't seem to require gdbm183. Manually installing it did not fix my issues though.

pedrovanzella commented on 2020-12-02 13:19

Both Firefox and Chromium seem to hang when trying to talk to the smartcard (a VALID eCPF on a VASCO DP905v1.1). I added /usr/lib/libaetpkss.so to both, as instructed here. When I so much as switch tabs (even to something that doesn't even try to authenticate with the card) with the card inserted, both browsers freeze completely.

Has anyone run into this?

delboni commented on 2020-11-03 21:59

Muito obrigado, funcionou perfeitamente!

denisfalqueto commented on 2020-02-14 22:41

@malta: happy to learn that. I'll try to make a snap package for this, so we can get around library dependencies. If I succeed, I'll leave a message here.

malta commented on 2020-02-14 18:15

now its working. seems a few steps and packages were missing. anyone having this problem just follow https://wiki.archlinux.org/index.php/Smartcards

denisfalqueto commented on 2020-02-14 13:38

@malta: it's working for me. This is a proprietary mess, without any commitment from the hardware providers.